Home

# Class goog.ui.Css3ButtonRenderer

Custom renderer for {@link goog.ui.Button}s. Css3 buttons can contain almost arbitrary HTML content, will flow like inline elements, but can be styled like block-level elements.

extends goog.ui.ButtonRenderer

Instance Method Summary
| `canDecorate(?Element element) ⇒ boolean` Returns true if this renderer can decorate the element. Overrides {@link goog.ui.ButtonRenderer#canDecorate} by returning true if the element is a DIV, false otherwise.
| `createDom(?goog.ui.Button button) ⇒ ?Element` Returns the button's contents wrapped in the following DOM structure: Contents... Overrides {@link goog.ui.ButtonRenderer#createDom}.
| `decorate(?goog.ui.Control control, ?Element element) ⇒ ?Element` Default implementation of {@code decorate} for {@link goog.ui.Control}s. Initializes the control's ID, content, and state based on the ID of the element, its child nodes, and its CSS classes, respectively. Returns the element.
| `getContentElement(?Element element) ⇒ ?Element` Takes the control's root element and returns the parent element of the control's contents. Since by default controls are rendered as a single DIV, the default implementation returns the element itself. Subclasses with more complex DOM structures must override this method as needed.
| `getCssClass() ⇒ string` Returns the CSS class to be applied to the root element of components rendered using this renderer.